Subject: bug#25665: 26.0.50; [PATCH] Indicate prefix arg in minibuffer prompt for shell-command

From: Tino Calancha <[email-masked]>
Date: Fri, 10 Feb 2017 16:13:26 +0900 (JST)

On Thu, 9 Feb 2017, [email-masked] wrote:

> Tino Calancha <[email-masked]> writes:
>
>> On Thu, 9 Feb 2017, [email-masked] wrote:
>>
>>> On Thu, Feb 9, 2017 at 11:53 AM, Tino Calancha <[email-masked]> wrote:
>>>
>>>> The meaning of the prefix argument must be explained in the docstring.
>>>> That and the manual are the source of documentation, not the prompt.
>>>
>>> But it's nice if Emacs gives you a different prompt, so that you can be
>>> sure you typed in the command correctly.
>> Confirmation for having typed C-u?
>> Well, sometimes some keys in old keyboards die... ;-)
>
> We already have that in `echo-keystrokes'.
>
> But I'm thinking also of times when you do C-u M-! and then switch to
> another window to copy the command, then maybe when you come back, you
> don't remember 100% what you were doing.
I see.  That's a point.  I agree in that edge case would be useful.

>> There are lots of commands in Emacs accepting a raw,
>> numeric prefix etc.  If we change M-! prompt, we might
>> also want to tune the prompt for all of them.  Do we want that?
>
> IMO yes, if the difference can be summarized in the prompt concisely
> enough.
It might be a pain in the ass to follow such new policy:
emacs -Q:
   C-x b foo RET
   aeiou
I)
     C-x C-s
II)
     C-u C-x C-s
III)
     C-u C-u C-x C-s
IV)
     C-u C-u C-u C-x C-s

All have the same prompt:
File to save in: ~/